<script>
    import logo from './svelte_logo.svg'
    let count = 0
    const increment = () => count += 1
</script>
<div>
    <img src={logo} alt="SvelteKit"/>
    <h1>HELLO WORLD !</h1>
    <button data-testid="button" on:click={increment}>
        <span>Clicks:</span>
        <span data-testid="counter">{count}</span>
    </button>
    <p>Visit <a href="https://kit.svelte.dev">kit.svelte.dev</a> to learn how to build SvelteKit apps.</p>
</div>

<style>
    div {
        width: 100%;
        padding: 20px 0;
        text-align: center;
    }

    div > img {
        height: 40vh;
        margin: 10px 0 30px;
    }

    div > h1 {
        color: #ff3e00;
        margin: 0 0 30px;
        font-size: 5em;
        font-weight: 300;
    }

    div > p {
        font-size: 1.3em;
        margin: 30px 0;
    }
    button {
        font-family: inherit;
        font-size: 2em;
		margin: 0;
        padding: 0.5em;
        color: #ff3e00;
        background-color: rgba(255, 62, 0, 0.1);
        border-radius: 2em;
        border: 2px solid rgba(255, 62, 0, 0);
        outline: none;
        width: 300px;
        font-variant-numeric: tabular-nums;
        cursor: pointer;
    }

    button:focus {
        border: 2px solid #ff3e00;
    }

    button:active {
        background-color: rgba(255, 62, 0, 0.2);
    }
</style>
